package com.lovecoding.day03;

public class Test09_SuanShu_WeiFuZhi {
    public static void main(String[] args) {
        //赋值运算符
        int a = 3,b=4,c=5;

        System.out.println(a);
        a +=6; //a = a+6
        System.out.println(a);  //9

        b*=8; //b=b*8
        System.out.println(b); //32

        /*
            byte i =127;
            i++;
            sout(i) //？

            short s = s + 10; 和 short s +=10; 两个结果一致么？会有问题？

            byte a = 100;
            a+=28;
            sout(a) //?

            思考 i+=10 和 i=i+10 区别？

         */
        System.out.println("-----------");

        byte i =127;
        i++;
        System.out.println(i); // ++ 溢出强制转换

        //short s = s + 10; 和 short s +=10; 两个结果一致么？会有问题？
        short s = 2;
        // s = s + 10; 编译错误  s = s + 10 s是short类型 10是int类型 结果应该是 int  所以编译错误。
        s +=10;
        // 实际用的 强制转换
        // s = (short) (s + 10);
        s = (short) (s + 10);

        byte a1 = 100;
        a1+=28;
        System.out.println(a1); //强制转换
    }
}
